<vn>
<vn-group>
	<db-model property="model" id="configs-model">
		<custom>
			SELECT c.id, c.name reportTitle, c.namePrefix, c.warehouse, c.family,
			c.shelf, c.maxAmount, c.showPacking, c.stack, t.reino_id realm
				FROM shelfConfig c
				JOIN vn2008.Tipos t ON t.tipo_id = c.family
		</custom>
	</db-model>
</vn-group>
<div id="title">
	<h1><t>Shelves</t></h1>
</div>
<div id="actions" class="action-bar">
	<htk-bar-button
		icon="print"
		tip="_Preview"
		on-click="onPreviewClick"/>
</div>
<div id="form" class="shelves">
	<div class="box">
		<div class="form">
			<div class="form-group">
				<label><t>Configuration</t></label>
				<htk-combo
					id="config"
					placeholder="_Select config"
					model="configs-model"
					on-changed="onConfigChange"
					on-ready="onConfigChange"/>
			</div>
			<div class="form-group">
				<label><t>Date</t></label>
				<htk-date-chooser id="date"/>
			</div>
			<div class="form-group">
				<label><t>Reign</t></label>
				<htk-combo id="realm">
					<db-model property="model" id="realms">
						<custom>
							SELECT id, reino FROM vn2008.reinos
								WHERE display != FALSE ORDER BY reino
						</custom>
					</db-model>
				</htk-combo>
			</div>
			<div class="form-group">
				<label><t>Family</t></label>
				<htk-combo id="family">
					<db-model property="model">
						<custom>
							SELECT tipo_id, Tipo FROM vn2008.Tipos 
								WHERE reino_id = #realm ORDER BY Tipo
						</custom>
						<sql-batch property="batch">
							<custom>
								<item name="realm" param="realm"/>
							</custom>
						</sql-batch>
					</db-model>
				</htk-combo>
			</div>
			<div class="form-group">
				<label><t>Store</t></label>
				<htk-combo id="warehouse">
					<db-model property="model" id="warehouses">
						<custom>
							SELECT id, name FROM vn2008.warehouse
								WHERE reserve ORDER BY name
						</custom>
					</db-model>
				</htk-combo>
			</div>
			<div class="form-group">
				<label><t>Shelf</t></label>
				<htk-combo id="shelf">
					<db-model property="model" id="shelves">
						<custom>
							SELECT id, name FROM shelf
						</custom>
					</db-model>
				</htk-combo>
			</div>
			<div class="form-group">
				<label><t>Name prefix</t></label>
				<htk-entry id="namePrefix"/>
			</div>
			<div class="form-group">
				<label><t>Limit amount per item</t></label>
				<htk-entry id="maxAmount"/>
			</div>
			<div class="form-group">
				<label><t>Title</t></label>
				<htk-entry id="reportTitle"/>
			</div>
			<div class="form-group">
				<label><t>Show packing</t></label>
				<htk-check id="showPacking"/>
			</div>
			<div class="form-group">
				<label><t>Stack different items</t></label>
				<htk-check id="stack"/>
			</div>
			<div class="form-group">
				<label><t>Use ids instead of names</t></label>
				<htk-check id="useIds"/>
			</div>
		</div>
	</div>
</div>
</vn>
